Skip to main content
POST
/
api
/
onboarding
/
individual
/
credit_registry_summary
/
Credit Registry Summary
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/individual/credit_registry_summary/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "bvn": "22244545518"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/individual/credit_registry_summary/"

payload = { "bvn": "22244545518" }
headers = {
    "x-access-token": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({bvn: '22244545518'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/individual/credit_registry_summary/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
The Credit Registry Credit Summary endpoint returns a summary of an individual’s credit-related activities from the Credit Registry bureau, including loan totals, repayment status, and outstanding balances.

Endpoint

POST /api/onboarding/individual/credit_registry_summary/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
bvnstringYesThe individual’s 11-digit Bank Verification Number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/credit_registry_summary/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"bvn": "22244545518"}'

Response

200 OK

FieldTypeDescription
data.namestringFull name
data.score.totalNoOfLoansnumberTotal loans on record
data.score.totalNoOfActiveLoansnumberCurrently active loans
data.score.totalNoOfClosedLoansnumberClosed loans
data.score.totalBorrowednumberTotal amount borrowed
data.score.totalOutstandingnumberTotal outstanding balance
data.score.totalNoOfDelinquentFacilitiesnumberNumber of delinquent facilities
data.score.highestLoanAmountnumberHighest single loan amount
data.searchedDatestringDate this report was retrieved
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfLoans": 16,
      "totalNoOfInstitutions": 5,
      "totalNoOfActiveLoans": 1,
      "totalNoOfClosedLoans": 15,
      "totalNoOfPerformingLoans": 16,
      "totalNoOfDelinquentFacilities": 0,
      "highestLoanAmount": 1134330,
      "totalBorrowed": 3761267,
      "totalOutstanding": 0,
      "totalOverdue": 0
    },
    "searchedDate": "2023-11-23T14:46:37.552Z"
  },
  "message": "Credit Registry check successful"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
bvn
string
required
Example:

"22244545518"

Response

Credit Registry summary retrieved